package api

import "gorm.io/gorm"

type Doc struct {
	gorm.Model
	Name       string `json:"name,omitempty"`
	File       string `json:"file,omitempty"`
	Preview    string `json:"preview,omitempty"`
	Permission int    `json:"permission,omitempty"`
	Size       int64  `json:"size,omitempty"`
	State      int    `json:"state,omitempty"`
	Owner      int    `json:"owner,omitempty"`
	Category   string `josn:"category,omitempty"`
	Labels     string `json:"labels,omitempty"`
}
